Subject: [PATCH v2 0/4] PCI: X-Gene: Add APM X-Gene v1 MSI/MSIX termination driver

From: [email-masked] (Bjorn Helgaas)
Date: Thu, 19 Mar 2015 16:08:59 -0500

On Thu, Mar 19, 2015 at 01:59:35PM -0700, Duc Dang wrote:
> On Thu, Mar 19, 2015 at 1:49 PM, Bjorn Helgaas <[email-masked]> wrote:
> > [+cc Marc]
> >
> > On Wed, Mar 18, 2015 at 10:43:10AM -0700, Duc Dang wrote:
> >> On Wed, Mar 4, 2015 at 11:39 AM, Duc Dang <[email-masked]> wrote:
> >> > This patch set adds MSI/MSIX termination driver support for APM X-Gene v1 SoC.
> >> > APM X-Gene v1 SoC supports its own implementation of MSI, which is not compliant
> >> > to GIC V2M specification for MSI Termination.
> >> >
> >> > There is single MSI block in X-Gene v1 SOC which serves all 5 PCIe ports. This MSI
> >> > block supports 2688 MSI termination ports coalesced into 16 physical HW IRQ lines
> >> > and shared across all 5 PCIe ports.
> >> >
> >> > v2 changes:
> >> >         1. Use msi_controller structure
> >> >         2. Remove arch hooks arch_teardown_msi_irqs and arch_setup_msi_irqs
> >> >
> >> >  .../devicetree/bindings/pci/xgene-pci-msi.txt      |  61 ++++
> >> >  MAINTAINERS                                        |   8 +
> >> >  arch/arm64/boot/dts/apm/apm-storm.dtsi             |  27 ++
> >> >  drivers/pci/host/Kconfig                           |   4 +
> >> >  drivers/pci/host/Makefile                          |   1 +
> >> >  drivers/pci/host/pci-xgene-msi.c                   | 393 +++++++++++++++++++++
> >> >  drivers/pci/host/pci-xgene.c                       |  25 ++
> >> >  7 files changed, 519 insertions(+)
> >> >  create mode 100644 Documentation/devicetree/bindings/pci/xgene-pci-msi.txt
> >> >  create mode 100644 drivers/pci/host/pci-xgene-msi.c
> >> >
> >> > --
> >> > 1.9.1
> >> >
> >> Hi Bjorn, Arnd, and All,
> >>
> >> Did you have a chance to take a look at this v2 patch set for X-Gene 1
> >> MSI support?
> >
> > Marc had some comments, and as far as I can tell, you haven't addressed
> > them yet.  Am I mistaken?
> >
> Hi Bjorn,
> 
> You are correct. I am making the changes as Marc pointed out. Will
> update a new version soon.

OK, thanks.  If other people provide feedback, I usually wait until that's
addressed before I spend much time looking at it, because I don't want to
spend time rediscovering things people have already commented on, and I
can't keep up with the list as it is :)

Bjorn